<template>
  <div>
    <section class="columns slide mini-bulle-droite big-bulle-gauche">
      <article class="column grid-message">
        <div class="message pos1 ">
          <p>J'ai besoin de partager mon activité à une autre unité, comment faire ?</p>
          <mark><b-icon icon="help"></b-icon></mark>
        </div>
        <div class="message message-fonce pos2">
          <mark><b-icon icon="dots-horizontal"></b-icon></mark>
          <p>Partage accepté.</p>
        </div>
        <b-icon icon="check" class="pos4" size="is-medium"></b-icon>
        <img class="pos3" src="/nouveaute/nouveaute-candidater-personnage.svg" width="230" alt="image personnage" />
      </article>
      <article class="column ">
        <b-button class="mt-close-passer is-size-8 " native-type="button" @click="$emit('close')">
          Passer
        </b-button>
        <label class="label">Nouveauté</label>
        <h1>
          Désormais avec METIIS<br />
          vous pouvez
          <b
            >partager une <br />
            activité à une autre <br />
            unité.</b
          >
        </h1>
        <b-button class="mt-button is-size-8 " type="is-primary" native-type="button" @click="$emit('next')">
          découvrir
        </b-button>
        <br />
        <br />
      </article>
    </section>
  </div>
</template>

<script>
export default {
  name: 'MtParticiperSlide1',
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
.slide {
  align-items: center;
}
.grid-message {
  display: grid;
  grid-template-columns: repeat(4, 1fr) repeat(4, 0.5fr) 2fr;
  grid-template-rows: 0.2fr repeat(3, 1fr);
  margin: 2rem 2rem 4rem;
}
.pos1 {
  grid-row: 2;
  grid-column: 2 / 8;
}
.pos2 {
  grid-row: 3;
  grid-column: 1 / 5;
}
.pos3 {
  grid-row: 1 / -1;
  align-self: center;
  grid-column: 5 / -1;
  justify-self: flex-end;
}
.pos4 {
  grid-row: 3;
  grid-column: 6;
  color: #51f0b0;
  align-self: center;
}
.column {
  position: relative;
}
@media screen and (max-width: 768px) {
  .grid-message {
    display: none;
  }
}
.mt-close-passer {
  position: absolute;
  top: -110px;
  right: 1rem;
  border-style: none;
  background-color: transparent;
  cursor: pointer;
  color: $primary;
  text-transform: uppercase;
  font-size: 0.875rem;
  font-weight: 600;
  z-index: 10;
}
</style>
